Bug 420401 - *** buffer overflow detected ***: lftp terminated 0
*** buffer overflow detected ***: lftp terminated 0
Status: CLOSED DUPLICATE of bug 414051
Product: Fedora
Classification: Fedora
Component: lftp (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Martin Nagy
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F9Target
  Show dependency treegraph
 
Reported: 2007-12-11 14:53 EST by Nicolas Mailhot
Modified: 2016-07-26 19:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-12 01:37:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2007-12-11 14:53:35 EST
$ lftp
ftp.free.fr:/mirrors/ftp.mandriva.com/MandrivaLinux/devel/cooker/SRPMS/contrib/release
cd ok,
cwd=/mirrors/ftp.mandriva.com/MandrivaLinux/devel/cooker/SRPMS/contrib/release 
                                   
lftp
ftp.free.fr:/mirrors/ftp.mandriva.com/MandrivaLinux/devel/cooker/SRPMS/contrib/release>
mget argyllcms-0.70-0.1.Beta7.2mdv2008.1.src.rpm
*** buffer overflow detected ***: lftp terminated 0 [En attente de réponse...]
======= Backtrace: =========
/lib64/libc.so.6(__fortify_fail+0x32)[0x392ccea362]
/lib64/libc.so.6[0x392cce8a90]
/lib64/libc.so.6[0x392cce7ef9]
/lib64/libc.so.6(_IO_default_xsputn+0x94)[0x392cc6ec34]
/lib64/libc.so.6(_IO_vfprintf+0x140d)[0x392cc441cd]
/lib64/libc.so.6(__vsprintf_chk+0x9d)[0x392cce7f9d]
/lib64/libc.so.6(__sprintf_chk+0x80)[0x392cce7ee0]
/usr/lib64/liblftp-tasks.so.0(_ZN8FileCopy17GetPercentDoneStrEv+0x37)[0x2af9ed929e17]
/usr/lib64/liblftp-jobs.so.0(_ZN7CopyJob6StatusEPK10StatusLineb+0xb8)[0x2af9ed6e7b48]
/usr/lib64/liblftp-jobs.so.0(_ZN7CopyJob13ShowRunStatusEP10StatusLine+0x17)[0x2af9ed6e7ba7]
/usr/lib64/liblftp-jobs.so.0(_ZN7CmdExec2DoEv+0x6d2)[0x2af9ed6d37e2]
/usr/lib64/liblftp-tasks.so.0(_ZN6SMTask8ScheduleEv+0xad)[0x2af9ed91c42d]
/usr/lib64/liblftp-jobs.so.0(_ZN3Job8WaitDoneEv+0x1f)[0x2af9ed6cf22f]
lftp[0x405749]
/lib64/libc.so.6(__libc_start_main+0xf4)[0x392cc1e074]
lftp[0x404ca9]
======= Memory map: ========
00400000-0040a000 r-xp 00000000 fd:00 3346744                           
/usr/bin/lftp
0060a000-0060b000 rw-p 0000a000 fd:00 3346744                           
/usr/bin/lftp
0060b000-006f4000 rw-p 0060b000 00:00 0                                  [heap]
3196400000-3196435000 r-xp 00000000 fd:00 3352159                       
/usr/lib64/libreadline.so.5.2
3196435000-3196635000 ---p 00035000 fd:00 3352159                       
/usr/lib64/libreadline.so.5.2
3196635000-319663d000 rw-p 00035000 fd:00 3352159                       
/usr/lib64/libreadline.so.5.2
319663d000-319663e000 rw-p 319663d000 00:00 0 
37d1400000-37d1414000 r-xp 00000000 fd:00 3604493                       
/lib64/libz.so.1.2.3
37d1414000-37d1613000 ---p 00014000 fd:00 3604493                       
/lib64/libz.so.1.2.3
37d1613000-37d1614000 rw-p 00013000 fd:00 3604493                       
/lib64/libz.so.1.2.3
392c800000-392c81b000 r-xp 00000000 fd:00 393246                        
/lib64/ld-2.7.so
392ca1a000-392ca1b000 r--p 0001a000 fd:00 393246                        
/lib64/ld-2.7.so
392ca1b000-392ca1c000 rw-p 0001b000 fd:00 393246                        
/lib64/ld-2.7.so
392cc00000-392cd4d000 r-xp 00000000 fd:00 393255                        
/lib64/libc-2.7.so
392cd4d000-392cf4d000 ---p 0014d000 fd:00 393255                        
/lib64/libc-2.7.so
392cf4d000-392cf51000 r--p 0014d000 fd:00 393255                        
/lib64/libc-2.7.so
392cf51000-392cf52000 rw-p 00151000 fd:00 393255                        
/lib64/libc-2.7.so
392cf52000-392cf57000 rw-p 392cf52000 00:00 0 
392d000000-392d082000 r-xp 00000000 fd:00 393549                        
/lib64/libm-2.7.so
392d082000-392d281000 ---p 00082000 fd:00 393549                        
/lib64/libm-2.7.so
392d281000-392d282000 r--p 00081000 fd:00 393549                        
/lib64/libm-2.7.so
392d282000-392d283000 rw-p 00082000 fd:00 393549                        
/lib64/libm-2.7.so
392d400000-392d402000 r-xp 00000000 fd:00 393516                        
/lib64/libdl-2.7.so
392d402000-392d602000 ---p 00002000 fd:00 393516                        
/lib64/libdl-2.7.so
392d602000-392d603000 r--p 00002000 fd:00 393516                        
/lib64/libdl-2.7.so
392d603000-392d604000 rw-p 00003000 fd:00 393516                        
/lib64/libdl-2.7.so
3936600000-3936611000 r-xp 00000000 fd:00 393518                        
/lib64/libresolv-2.7.so
3936611000-3936811000 ---p 00011000 fd:00 393518                        
/lib64/libresolv-2.7.so
3936811000-3936812000 r--p 00011000 fd:00 393518                        
/lib64/libresolv-2.7.so
3936812000-3936813000 rw-p 00012000 fd:00 393518                        
/lib64/libresolv-2.7.so
3936813000-3936815000 rw-p 3936813000 00:00 0 
3937a00000-3937a02000 r-xp 00000000 fd:00 393517                        
/lib64/libkeyutils-1.2.so
3937a02000-3937c01000 ---p 00002000 fd:00 393517                        
/lib64/libkeyutils-1.2.so
3937c01000-3937c02000 rw-p 00001000 fd:00 393517                        
/lib64/libkeyutils-1.2.so
393b200000-393b202000 r-xp 00000000 fd:00 393556                        
/lib64/libutil-2.7.so
393b202000-393b401000 ---p 00002000 fd:00 393556                        
/lib64/libutil-2.7.so
393b401000-393b402000 r--p 00001000 fd:00 393556                        
/lib64/libutil-2.7.so
393b402000-393b403000 rw-p 00002000 fd:00 393556                        
/lib64/libutil-2.7.so
393ba00000-393ba20000 r-xp 00000000 fd:00 393700                        
/lib64/libncurses.so.5.6
393ba20000-393bc1f000 ---p 00020000 fd:00 393700                        
/lib64/libncurses.so.5.6
393bc1f000-393bc20000 rw-p 0001f000 fd:00 393700                        
/lib64/libncurses.so.5.6
393be00000-393be1c000 r-xp 00000000 fd:00 393546                        
/lib64/libtinfo.so.5.6
393be1c000-393c01c000 ---p 0001c000 fd:00 393546                        
/lib64/libtinfo.so.5.6
393c01c000-393c020000 rw-p 0001c000 fd:00 393546                        
/lib64/libtinfo.so.5.6
3a0a000000-3a0a00d000 r-xp 00000000 fd:00 3605860                       
/lib64/libgcc_s-4.1.2-20071124.so.1
3a0a00d000-3a0a20d000 ---p 0000d000 fd:00 3605860                       
/lib64/libgcc_s-4.1.2-20071124.so.1
3a0a20d000-3a0a20e000 rw-p 0000d000 fd:00 3605860                       
/lib64/libgcc_s-4.1.2-20071124.so.1
3a0a400000-3a0a4e5000 r-xp 00000000 fd:00 3352627                       
/usr/lib64/libstdc++.so.6.0.8
3a0a4e5000-3a0a6e5000 ---p 000e5000 fd:00 3352627                       
/usr/lib64/libstdc++.so.6.0.8
3a0a6e5000-3a0a6eb000 r--p 000e5000 fd:00 3352627                       
/usr/lib64/libstdc++.so.6.0.8
3a0a6eb000-3a0a6ee000 rw-p 000eb000 fd:00 3352627                       
/usr/lib64/libstdc++.so.6.0.8
3a0a6ee000-3a0a700000 rw-p 3a0a6ee000 00:00 0 
3d7a000000-3d7a002000 r-xp 00000000 fd:00 3801159                       
/lib64/libcom_err.so.2.1
3d7a002000-3d7a201000 ---p 00002000 fd:00 3801159                       
/lib64/libcom_err.so.2.1
3d7a201000-3d7a202000 rw-p 00001000 fd:00 3801159                       
/lib64/libcom_err.so.2.1
3d7a400000-3d7a42c000 r-xp 00000000 fd:00 1343585                       
/usr/lib64/libgssapi_krb5.so.2.2
3d7a42c000-3d7a62c000 ---p 0002c000 fd:00 1343585                       
/usr/lib64/libgssapi_krb5.so.2.2
3d7a62c000-3d7a62e000 rw-p 0002c000 fd:00 1343585                       
/usr/lib64/libgssapi_krb5.so.2.2
3d7a800000-3d7a899000 r-xp 00000000 fd:00 1343563                       
/usr/lib64/libkrb5.so.3.3
3d7a899000-3d7aa99000 ---p 00099000 fd:00 1343563                       
/usr/lib64/libkrb5.so.3.3
3d7aa99000-3d7aa9d000 rw-p 00099000 fd:00 1343563                       
/usr/lib64/libkrb5.so.3.3
3d7ac00000-3d7ac24000 r-xp 00000000 fd:00 1343551                       
/usr/lib64/libk5crypto.so.3.1
3d7ac24000-3d7ae23000 ---p 00024000 fd:00 1343551                       
/usr/lib64/libk5crypto.so.3.1
3d7ae23000-3d7ae25000 rw-p 00023000 fd:00 1343551                       
/usr/lib64/libk5crypto.so.3.1
3d7b000000-3d7b008000 r-xp 00000000 fd:00 3344188                       
/usr/lib64/libkrb5support.so.0.1
3d7b008000-3d7b207000 ---p 00008000 fd:00 3344188                       
/usr/lib64/libkrb5support.so.0.1
3d7b207000-3d7b208000 rw-p 00007000 fd:00 3344188                       
/usr/lib64/libkrb5support.so.0.1
2af9ed6a5000-2af9ed6a7000 rw-p 2af9ed6a5000 00:00 0 
2af9ed6b7000-2af9ed6f6000 r-xp 00000000 fd:00 3346755                   
/usr/lib64/liblftp-jobs.so.0.0.0
2af9ed6f6000-2af9ed8f5000 ---p 0003f000 fd:00 3346755                   
/usr/lib64/liblftp-jobs.so.0.0.0
2af9ed8f5000-2af9ed8fa000 rw-p 0003e000 fd:00 3346755                   
/usr/lib64/liblftp-jobs.so.0.0.0
2af9ed8fa000-2af9ed955000 r-xp 00000000 fd:00 3346936                   
/usr/lib64/liblftp-tasks.so.0.0.0
2af9ed955000-2af9edb54000 ---p 0005b000 fd:00 3346936                   
/usr/lib64/liblftp-tasks.so.0.0.0
2af9edb54000-2af9edb5b000 rw-p 0005a000 fd:00 3346936                   
/usr/lib64/liblftp-tasks.so.0.0.0
2af9edb5b000-2af9edb70000 rw-p 2af9edb5b000 00:00 0 
2af9edb70000-2af9f25c9000 r--p 00000000 fd:00 49Abandon

Version-Release number of selected component (if applicable):

lftp-3.5.14-2.1.fc9.x86_64

How reproducible:

Always
Comment 1 Martin Nagy 2007-12-12 01:37:53 EST
Hi, this is a duplicate, please try the patch in Bug #414051

*** This bug has been marked as a duplicate of 414051 ***

Note You need to log in before you can comment on or make changes to this bug.